Skip to main content
GET
/
v2
/
credentials
/
{id}
Get credential by ID.
curl --request GET \
  --url https://test.didxtech.com/me-wallet/api/v2/credentials/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "claims": {
      "firstName": "John",
      "lastName": "Doe",
      "age": 34,
      "isVerified": true,
      "dateOfBirth": "1990-06-15",
      "address": {
        "street": "123 Main St",
        "city": "Cape Town",
        "country": "ZA"
      },
      "phoneNumbers": [
        "+27821234567",
        "+27831234567"
      ]
    },
    "iat": "2024-03-15T10:30:00Z",
    "status": "accepted",
    "format": "vc+sd-jwt",
    "vct": "VerifiableId",
    "iss": "did:example:123456789abcdefghi"
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Credential resource.

data
object
required
meta
object
errors
object[]